<template>
  <div class="padding-40-80 trunk">
    <div class="products-forward">
      <div
        v-for="teaser in teasers"
        :key="teaser.id"
        class="product product-forward"
      >
        <a :href="teaser.url">
          <div class="product_image">
            <img
              :src="
                '/images/OperationBrick/' +
                teaser.id +
                '.jpg?v=' +
                teaser.version
              "
              alt="Simultrad"
              class="responsively-lazy"
            />
          </div>
        </a>
        <a :href="teaser.url">
          <h4 class="product_title text text--lg text--primary text--bold">
            {{ teaser.title_bold }}
          </h4>
        </a>

        <p
          class="product_excerpt text text--sm text--primary text--medium"
          v-html="teaser.title_normal"
        ></p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Teaser',
  props: {
    teasers: {
      type: Array,
      required: true
    }
  },
  methods: {
    generateImageURL: function (brickid) {
      return Routing.generate('izneo_front_asset_image', {
        modelName: 'OperationBrick',
        id: brickid
      })
    }
  }
}
</script>
